*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Vazirmatn", sans-serif;
}

/* start menu  */
html {
    scroll-behavior: smooth;
}

:root {
    --primary-color: #7a121d; 
    --text-dark: #2d2d2d;
    --text-light: #ffffff;
    --transition-smooth: all 0.3s ease;
}

.main-header {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background: rgba(255, 255, 255, 0.396); 
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    box-shadow: 0 2px 20px rgba(0, 0, 0, 0.04);
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}

.header-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 15px 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* بخش سمت راست: لوگو */
.logo-area {
    text-decoration: none;
    display: flex;
    align-items: center;
    width: 50px;
    height: 55px;
}
.header-right a {
  text-decoration: none; 
}

.logo-text {
    text-decoration: none;
    font-size: 1.3rem;
    font-weight: 800;
    color: var(--text-dark);
     font-family: "Zain", sans-serif;
    padding-top: 12px;
    padding-right: 8px;

}

.logo-text .highlight {
    text-decoration: none;
    color: var(--primary-color);
    font-family: "Zain", sans-serif;

}

.header-right{
  text-decoration: none;
  display: flex;
  
}

/* بخش وسط: منوی اصلی */
.nav-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 30px; 
    font-family: "Vazirmatn", sans-serif;
    direction: rtl;
}

.nav-link {
    text-decoration: none;
    color: #3c3c3c;
    font-size: 0.95rem;
    font-weight: 500;
    padding: 8px 4px;
    position: relative;
    transition: var(--transition-smooth);
}

.nav-link::after {
    content: '';
    position: absolute;
    bottom: 0;
    right: 50%;
    transform: translateX(50%);
    width: 0;
    height: 2px;
    background-color: var(--primary-color);
    transition: var(--transition-smooth);
}

.nav-link:hover {
    color: var(--primary-color);
}

.nav-link:hover::after, 
.nav-link.active::after {
    width: 100%;
}

.nav-link.active {
    color: var(--primary-color);
    font-weight: 700;
}

.contact-btn {
    text-decoration: none;
    background-color: var(--primary-color);
    color: var(--text-light);
    padding: 10px 24px;
    border-radius: 50px; 
    font-size: 0.9rem;
    font-weight: 500;
    box-shadow: 0 4px 15px rgba(122, 18, 29, 0.2);
    transition: var(--transition-smooth);
}

.contact-btn:hover {
    background-color: #5a0c14; 
    transform: translateY(-2px);
    box-shadow: 0 6px 20px rgba(122, 18, 29, 0.3);
}

@media (max-width: 768px) {
    .nav-menu {
        display: none; 
    }
    .header-container {
        padding: 12px 15px;
    }
    .logo-text {
        font-size: 1.1rem;
    }
    .contact-btn {
        padding: 8px 16px;
        font-size: 0.8rem;
    }
}

/* ریسپانسیو موبایل */
.menu-toggle {
    display: none;
}

@media (max-width: 768px) {

    .menu-toggle {
        display: block;
        font-size: 26px;
        cursor: pointer;
    }

    .nav-menu {
        display: none;
        position: absolute;
        top: 90px;
        right: 15px;
        left: 15px;
        background: rgba(212, 212, 212, 0.7);
        border-radius: 15px;
        box-shadow: 0 10px 30px rgba(0,0,0,0.1);
        overflow: hidden;

        /* حالت بسته */
        opacity: 0;
        transform: translateY(-10px);
        pointer-events: none;
        transition: 0.3s ease;
    }

    .nav-menu.active {
        display: block;
        opacity: 1;
        transform: translateY(0);
        pointer-events: auto;
    }

    .nav-menu ul {
        flex-direction: column;
        gap: 0;
    }

    .nav-menu li {
        border-bottom: 0.5px solid #fcfcfc64;
    }

    .nav-link {
        display: block;
        padding: 12px 15px;
    }
}
/* پایان ریسپانسیو منو */
/* end menu  */

/* start header  */
.header{
    background:linear-gradient(rgba(0,0,0,0.5),rgba(0,0,0,0.5)), url(../img/base.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    text-align: right;
    height: 100vh; 
}

.header_box{
    width: 95%;
    color: white;
    padding: 200px 0;
}

.header_title1{
    color: rgb(150, 150, 150);
    font-family: "Zain", sans-serif;
    font-size: 23px;
    font-weight: 800;
}

.header_title2{
    /* font-family: "Baloo Bhaijaan 2", sans-serif; */
    font-family: "Zain", sans-serif;
    font-size: 75px;
    font-weight: 700;
    margin: 15px 0;
    margin-bottom: 50px;
}
.header_title2 {
  opacity: 0;
  transform: translateY(20px);
  animation: fadeUp 0.8s ease forwards;
}

@keyframes fadeUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.header_link1{
    font-family: "Baloo Bhaijaan 2", sans-serif;
    background-color: #8b0305;
    color: #fff;
    text-decoration: none;
    padding: 9px 35px ;
    border-radius: 5px;
    font-size: 17px;
    font-weight: 400;
    margin-right: 120px;
    transition: all 0.25s ease;
    animation: pulseSoft 2s infinite;
    transition: all 0.25s ease;
}

@keyframes pulseSoft {
  0% {
    transform: scale(1);
    box-shadow: 0 0 0 0 rgba(229, 9, 20, 0.5);
  }
  60% {
    transform: scale(1.04);
    box-shadow: 0 0 18px 11px rgba(229, 9, 20, 0.15);
  }
  100% {
    transform: scale(1);
    box-shadow: 0 0 0 0 rgba(229, 9, 20, 0);
  }
}

.header_link1:hover {
  animation: none;
  transform: translateY(-4px) scale(1.08);
  box-shadow: 0 12px 25px rgba(229, 9, 20, 0.4);
  background-color: #ab1e27;
}


/* 📱 موبایل */
@media (max-width: 768px) {

  .header {
    height: auto;
    padding: 60px 0;
    text-align: center;
  }

  .header_box {
    width: 100%;
    padding: 80px 20px;
  }

  .header_title1 {
    font-size: 16px;
  }

  .header_title2 {
    font-size: 36px;
    line-height: 1.5;
    margin-bottom: 30px;
  }

  .header_link1 {
    margin-right: 0;
    display: inline-block;
    font-size: 15px;
    padding: 10px 25px;
  }
}

/* 📱 موبایل‌های خیلی کوچک */
@media (max-width: 480px) {

  .header_title2 {
    font-size: 28px;
  }

  .header_title1 {
    font-size: 14px;
  }

  .header_link1 {
    font-size: 14px;
    padding: 8px 20px;
  }

}
/* end header */

/* start info */


body {
  background: #f5f5f5;
  
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: auto;
  direction: rtl;
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: auto;
  direction: rtl;
}

.about {
  padding: 60px 0;
}

.about-top {
  display: flex;
  align-items: center;
  gap: 40px;
  background: #fff;
  padding: 30px;
  border-radius: 20px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.05);
}

/* IMAGE */
.about-image {
  flex: 1;
}

.about-image img {
  width: 100%;
  border-radius: 15px;
}

/* TEXT */
.about-text {
  flex: 1;
  text-align: right;
}

.about-text h3 {
  color: #a11212;
  margin-bottom: 10px;
  font-size: 18px;
}

.about-text h2 {
  font-size: 28px;
  margin-bottom: 20px;
  color: #222;
}

.about-text p {
  color: #666;
  line-height: 2;
  margin-bottom: 10px;
}

/* ================= EDUCATION ================= */
.edu {
  margin-top: 60px;
  text-align: center;
  align-items: center;
}

.edu h2 {
  font-size: 26px;
  margin-bottom: 30px;
  color: #8b0308;
}

/* CARDS */
.edu-cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 20px;
}

.card {
  background: #fff;
  padding: 30px;
  border-radius: 20px;
  transition: 0.3s;
  box-shadow: 0 5px 20px rgba(0,0,0,0.05);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card span {
  font-size: 30px;
  display: block;
  margin-bottom: 7px;
}

.card h3 {
  font-size: 22px;
  color: #a11212;
}

.card p {
  color: #777;
}

/* HOVER */
.card:hover {
  transform: translateY(-8px);
  box-shadow: 0 10px 30px rgba(0,0,0,0.1);
}


/* تبلت */
@media (max-width: 992px) {
  .about-top {
    gap: 20px;
  }

  .about-text h2 {
    font-size: 24px;
  }
}

/* موبایل */
@media (max-width: 768px) {

  .about {
    padding: 40px 0;
  }

  .about-top {
    flex-direction: column;   /* 🔥 مهم‌ترین */
    text-align: center;
    padding: 20px;
  }

  .about-text {
    text-align: center;
  }

  .about-text h2 {
    font-size: 22px;
  }

  .about-text p {
    font-size: 14px;
    line-height: 1.8;
  }

  .edu {
    margin-top: 40px;
  }

  .edu h2 {
    font-size: 22px;
  }

  .edu-cards {
    grid-template-columns: 1fr;  /* 🔥 تک ستونه */
  }
}
/* end info */

/* start journal */
.features {
  text-align: center;
  padding: 40px 20px;
  direction: rtl;
}

/* TITLE */
.title {
  font-size: 28px;
  margin-bottom: 60px;
  color: #222;
}

.title span {
  color: #a80000;
}

/* ITEMS */
.items {
  display: flex;
  justify-content: center;
  gap: 100px;
  flex-wrap: wrap;
}

/* ITEM */
.item {
  max-width: 250px;
}

/* ICON */
.icon {
  width: 90px;
  height: 90px;
  background: linear-gradient(135deg, #a80000, #7a0000);
  color: #fff;
  font-size: 35px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  position: relative;
  box-shadow: 0 10px 30px rgba(168,0,0,0.3);
}

/* CIRCLE EFFECT */
.icon::after {
  content: "";
  position: absolute;
  width: 130px;
  height: 130px;
  border: 2px solid rgba(168,0,0,0.2);
  border-radius: 50%;
  top: -20px;
  left: -20px;
}

/* TEXT */
.item h3 {
  margin-top: 25px;
  font-size: 20px;
  color: #222;
}

/* LINK */
.link {
  display: inline-block;
  margin-top: 15px;
  color: #777;
  text-decoration: none;
  font-size: 14px;
  transition: 0.3s;
}

.link:hover {
  color: #a80000;
  transform: translateX(-5px);
}
/* end journal */

/* start gallery */
.gallery {
  direction: rtl;
  width: 90%;
  max-width: 1200px;
  margin: 50px auto;
  text-align: center;
}

/* HEADER */
.gallery-header .tag {
  color: #a80000;
  font-size: 14px;
  position: relative;
}

.gallery-header h2 {
  font-size: 32px;
  margin: 15px 0;
  color: #222;
}

.gallery-header h2 span {
  color: #a80000;
}

.gallery-header p {
  color: #777;
  font-size: 14px;
  margin-bottom: 50px;
}

/* GRID */
.gallery-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
}

/* IMAGE */
.gallery-grid img {
  width: 100%;
  height: 250px;
  object-fit: cover;
  border-radius: 15px;
  transition: 0.4s;
  cursor: pointer;
}

.gallery-grid img:hover {
  transform: scale(1.05);
}


/* RESPONSIVE */
@media (max-width: 900px) {
  .gallery-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 500px) {
  .gallery-grid {
    grid-template-columns: 1fr;
  }
}
/* end gallery */

/* start contact */
/* SECTION */
.cta {
  width: 90%;
  max-width: 1100px;
  margin: 60px auto;
  display: flex;
  flex-direction: column;
  gap: 40px;
  direction: rtl;
}

/* COMMON BOX */
.cta-box {
  border-radius: 25px;
  padding: 50px 30px;
  text-align: center;
  position: relative;
  overflow: hidden;
}

/* LIGHT BOX */
.cta-box.light {
  background: #ffffff;
  box-shadow: 0 10px 40px rgba(0,0,0,0.05);
}

.cta-box.light h2 {
  font-size: 26px;
  margin-bottom: 25px;
  color: #333;
}

/* BUTTON */
.btn {
  display: inline-block;
  background: linear-gradient(135deg, #b30000, #8a0000);
  color: #fff;
  padding: 15px 35px;
  border-radius: 50px;
  text-decoration: none;
  font-size: 16px;
  transition: 0.3s;
  box-shadow: 0 5px 20px rgba(179,0,0,0.3);
}

.btn:hover {
  transform: translateY(-3px);
  box-shadow: 0 10px 30px rgba(179,0,0,0.4);
}

/* RED BOX */
.cta-box.red {
  background: linear-gradient(135deg, #a80000, #7a0000);
  color: #fff;
  box-shadow: 0 10px 40px rgba(168,0,0,0.3);
}

.cta-box.red h2 {
  font-size: 28px;
  margin-bottom: 25px;
}

/* CIRCLE BUTTON */
.circle-btn {
  text-decoration: none;
  width: 60px;
  height: 60px;
  background: #fff;
  color: #a80000;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  font-size: 24px;
  cursor: pointer;
  transition: 0.3s;
  box-shadow: 0 5px 20px rgba(0,0,0,0.15);
}

.circle-btn:hover {
  transform: scale(1.1);
}

/* DECOR (OPTIONAL) */
.cta-box::before {
  content: "";
  position: absolute;
  width: 200px;
  height: 200px;
  background: rgba(255,255,255,0.1);
  border-radius: 50%;
  top: -50px;
  left: -50px;
}

.cta-box.red::before {
  background: rgba(255,255,255,0.08);
}
/* end contact */

/* start article */
/* SECTION */
.articles {
  direction: rtl;
  width: 90%;
  max-width: 1200px;
  margin: 100px auto;
  text-align: center;
}



/* GRID */
.articles-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 25px;
}

/* CARD */
.card {
  background: #fff;
  border-radius: 18px;
  overflow: hidden;
  text-align: right;
  transition: 0.3s;
  box-shadow: 0 8px 30px rgba(0,0,0,0.05);
}

.card:hover {
  transform: translateY(-8px);
}

/* IMAGE */
.card img {
  width: 100%;
  height: 180px;
  object-fit: cover;
}

/* CONTENT */
.content {
  padding: 20px;
}

.date {
  font-family: "Vazirmatn", sans-serif;
  font-size: 1px;
  color: #999;
}

.content h3 {
  font-size: 18px;
  margin: 10px 0;
  color: #222;
}

.content p {
  font-size: 14px;
  color: #666;
  line-height: 1.8;
}

/* LINK */
.content a {
  display: inline-block;
  margin-top: 10px;
  color: #a80000;
  text-decoration: none;
  font-size: 14px;
  transition: 0.3s;
}

.content a:hover {
  transform: translateX(-5px);
}

/* SPECIAL CARD */
/* .card.highlight {
  background: linear-gradient(135deg, #ffcc00, #ffb300);
} */

.card.highlight .content h3,
.card.highlight .content p,
.card.highlight .date {
  color: #222;
}

/* BUTTON */
.more-btn {
  margin-top: 50px;
}

.more-btn a {
  background: linear-gradient(135deg, #a80000, #7a0000);
  color: #fff;
  padding: 14px 35px;
  border-radius: 50px;
  text-decoration: none;
  transition: 0.3s;
  box-shadow: 0 5px 20px rgba(168,0,0,0.3);
}

.more-btn a:hover {
  transform: translateY(-3px);
}

/* RESPONSIVE */
@media (max-width: 900px) {
  .articles-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 500px) {
  .articles-grid {
    grid-template-columns: 1fr;
  }
}
/* end article */

/* start footer */
.footer {
  background: linear-gradient(135deg, #0f1c3f, #7a0f2a);
  color: #fff;
  padding-top: 90px;
  position: relative;
  direction: rtl;
}

/* wave بالا */
.footer::before {
  content: "";
  position: absolute;
  top: -60px;
  width: 100%;
  height: 100px;
  background: #f5f5f5;
  border-bottom-left-radius: 60% 100%;
  border-bottom-right-radius: 60% 100%;
}

/* layout */
.footer-content {
  display: grid;
  grid-template-columns: 1.2fr 1fr 1fr;
  gap: 30px;
  padding: 0 40px 40px;
}

/* متن */
.about {
  padding: 40px;
}

.about p {
  font-size: 18px;
  margin-top: 10px;
  line-height: 1.7;
  opacity: 0.85;
}

/* عنوان */
.col h3 {
  margin-bottom: 15px;
  position: relative;
}

.col h3::after {
  content: "";
  width: 35px;
  height: 3px;
  background: #9e1537;
  position: absolute;
  bottom: -5px;
  right: 0;
}

.col a {
  text-decoration: none;
}

/* تماس */
.contact-card {
  background: rgba(255,255,255,0.07);
  padding: 10px 12px;
  border-radius: 10px;
  margin-bottom: 8px;
  font-size: 14px;
  transition: 0.25s;
  width: 100%;              
  max-width: 320px;        
}
.contact-card:hover {
  background: rgba(255,255,255,0.15);
  transform: translateX(-4px);
}

/* لوگو */
.logo-icon {
  width: 70px;
}

/* لینک‌ها */
.link-card {
  display: flex;
  align-items: center;
  gap: 8px;
  background: #fff;
  color: #333;
  padding: 8px 12px;
  border-radius: 25px;
  margin-bottom: 8px;
  font-size: 14px;
  transition: 0.25s;
  width: 100%;           
  max-width: 320px;
}

.link-card img {
  width: 20px;
}

/* hover */
.link-card:hover {
  transform: translateX(-6px);
  box-shadow: 0 8px 15px rgba(0,0,0,0.2);
}

/* پایین */
.footer-bottom {
  text-align: center;
  padding: 15px;
  font-size: 13px;
  border-top: 1px solid rgba(255,255,255,0.2);
}


/* تبلت */
@media (max-width: 992px) {
  .footer-content {
    grid-template-columns: 1fr 1fr;
  }
}

/* موبایل */
@media (max-width: 768px) {

  .footer {
    padding-top: 60px;
  }

  .footer-content {
    grid-template-columns: 1fr;
    padding: 0 20px 30px;
    text-align: center;
  }

  .about {
    padding: 20px;
  }

  .about p {
    font-size: 15px;
  }

  .col h3::after {
    right: 50%;
    transform: translateX(50%);
  }

  .contact-card,
  .link-card {
    margin-left: auto;
    margin-right: auto;
  }
}
/* end footer */
